| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC572A.ino File Reference
Digital-to-Analog Converters (DAC) » LTC1592: 16-bit SoftSpan DAC with Programmable Output Range

Linear Technology DC572A Demonstration Board. More...

## Detailed Description

Linear Technology DC572A Demonstration Board.

LTC1592: 16-bit SoftSpan DAC with Programmable Output Range

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

       An external +/- 15V power supply is required to power the circuit.

      Explanation of Commands:
       1- Voltage Output
       Displays the calculated voltage depending on the code input from user and
       voltage range selected.

       2- Square Wave Output
       Generates a square wave on the output pin. This function helps to measure
       settling time and glitch impulse.

       3- Change Range
       |   Command   | Range Selected |
       | C3 C2 C1 C0 |                |
       |------------------------------|
       | 1  0  0  0  |    0V - 5V     |
       | 1  0  0  1  |    0V - 10V    |
       | 1  0  1  0  |   -5V - +5V    |
       | 1  0  1  1  |  -10V - +10V   |
       | 1  1  0  0  | -2.5V - +2.5V  |
       | 1  1  0  1  | -2.5V - 7.5V   |

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC1592

http://www.linear.com/product/LTC1592#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC572A.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static uint8_t | menu_1_voltage_output ()
| Function to enter a digital value and get the analog output. More...
static uint8_t | menu_2_square_wave_output ()
| Function to generate a square wave of desired frequency and voltage ranges. More...
static void | menu_3_change_range ()
| Function to choose the range of voltages to be used. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
static float | LTC1592_RANGE_LOW = 0
static float | LTC1592_RANGE_HIGH = 5
static uint16_t | data = 0x0000
static uint8_t | range_selected = 0x00

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 134 of file DC572A.ino.

## ◆ menu_1_voltage_output()

static uint8_t menu_1_voltage_output | ( |  | ) |
| static

Function to enter a digital value and get the analog output.

Definition at line 222 of file DC572A.ino.

## ◆ menu_2_square_wave_output()

static uint8_t menu_2_square_wave_output | ( |  | ) |
| static

Function to generate a square wave of desired frequency and voltage ranges.

Definition at line 268 of file DC572A.ino.

## ◆ menu_3_change_range()

static void menu_3_change_range | ( |  | ) |
| static

Function to choose the range of voltages to be used.

Definition at line 344 of file DC572A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 178 of file DC572A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 163 of file DC572A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 110 of file DC572A.ino.

## Variable Documentation

## ◆ data

uint16_t data = 0x0000
| static

Definition at line 99 of file DC572A.ino.

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 96 of file DC572A.ino.

## ◆ LTC1592_RANGE_HIGH

float LTC1592_RANGE_HIGH = 5
| static

Definition at line 98 of file DC572A.ino.

## ◆ LTC1592_RANGE_LOW

float LTC1592_RANGE_LOW = 0
| static

Definition at line 97 of file DC572A.ino.

## ◆ range_selected

uint8_t range_selected = 0x00
| static

Definition at line 100 of file DC572A.ino.